# Uses of Class
org.eclipse.jdt.core.dom.RecordPattern

Packages that use RecordPattern
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of RecordPattern in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return RecordPattern
Modifier and Type
Method
Description
`RecordPattern`
EnhancedForWithRecordPattern.`getPattern()`
Returns the record pattern in this enhanced for statement.
`RecordPattern`
AST.`newRecordPattern()`
Creates and returns a new unparented type pattern node with an unspecified pattern variable.
Methods in org.eclipse.jdt.core.dom with parameters of type RecordPattern
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(RecordPattern node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(RecordPattern node, Object other)`
Returns whether the given node and the other object match.
`void`
EnhancedForWithRecordPattern.`setPattern(RecordPattern pattern)`
Sets the record pattern in this enhanced for statement.
`boolean`
ASTVisitor.`visit(RecordPattern node)`
Visits the given type-specific AST node.